# Официальный модуль приема платежей Robokassa для Drupal 8 Commerce 2.x
Данный модуль позволяет добавить на сайт способ оплаты через Робокассу.
Для корректной работы модуля необходима регистрация в сервисе.

Порядок регистрации описан в [документации Robokassa](https://docs.robokassa.ru/#7844)

### Возможности
* Передача состава товаров в заказе для отправки чека клиенту и в налоговую (54-ФЗ);
* Приём платежей в тестовом режиме;
* Автоматическая смена статуса заказа;
* Поддержка продавцов из Казахстана;
* Поддержка продажи через IFrame

### Совместимость
Drupal 8;

Commerce 2.x;

### Установка через панель управления

"Управление" -> "Расширения" -> "Установить новый модуль" -> "Установить".

### Ручная установка

Добавить robokassa в папку modules

### Настройка модуля

1. Перейти в настройки модуля "Commerce" -> "Платёжные шлюзы" -> "Редактировать".
Выбрать Robokassa и активировать модуль.
2. Зайти в настройки модуля и указать обязательные данные:
    * Название
    * Название отображения
    * Режим
    * Идентификатор клиента
    * Пароль №1
    * Пароль №2
    * Hash type согласно выбранному в ЛКК Робокассы
    * Система налогообложения
    * Признак способа расчёта
    * Признак способа расчёта
    * Налоговая ставка

    Затем сохранить введенные параметры.

3. В личном кабинете Robokassa ("мои магазины" - "настройки" - "технические настройки") указать:

   * Result Url - https://your-site/payment/notify/robokassa (метод POST)
   * Success Url - https://your-site/robokassa/result (метод GET)
   * Fail Url - https://your-site/robokassa/result (метод GET)

### Уведомления об оплате

Уведомление об оплате Robokassa отправляет автоматически, после успешного совершения платежа, на адрес Result URL, который был скопирован из настроек модуля и указан в технических настройках магазина.
При правильной настройке, заказ в CMS будет создан автоматически.
